aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sci-mathematics/wxmaxima')
-rw-r--r--sci-mathematics/wxmaxima/Manifest3
-rw-r--r--sci-mathematics/wxmaxima/files/digest-wxmaxima-0.6.51
-rw-r--r--sci-mathematics/wxmaxima/files/wxmaxima-0.6.5-docfiles.patch34
-rw-r--r--sci-mathematics/wxmaxima/wxmaxima-0.6.5.ebuild55
4 files changed, 93 insertions, 0 deletions
diff --git a/sci-mathematics/wxmaxima/Manifest b/sci-mathematics/wxmaxima/Manifest
index 68cd1b24a..41b0e977e 100644
--- a/sci-mathematics/wxmaxima/Manifest
+++ b/sci-mathematics/wxmaxima/Manifest
@@ -1,7 +1,10 @@
MD5 7311c1df9b01c9dbfe63501ad8a35d21 ChangeLog 670
MD5 d89c1ded9e09d8d9016fdedd932dfffd files/digest-wxmaxima-0.6.4 66
MD5 d89c1ded9e09d8d9016fdedd932dfffd files/digest-wxmaxima-0.6.4-r1 66
+MD5 19adb00528bf6a5063cce331826a778b files/digest-wxmaxima-0.6.5 67
+MD5 3a4d2de691ea87175699c43dd1f97d82 files/wxmaxima-0.6.5-docfiles.patch 1450
MD5 b363e4de48445f52bde30676e8e78d8a files/wxmaxima-docfiles.patch 1441
MD5 db6b7bcfdff65546db2b62be1a72fe93 metadata.xml 257
MD5 1b3f5d3eb46602fb513e7198197eab6f wxmaxima-0.6.4-r1.ebuild 1149
MD5 ab3cf7dbf16b93af191666fa1bf33552 wxmaxima-0.6.4.ebuild 850
+MD5 26c70666f4a572238780907102ba9834 wxmaxima-0.6.5.ebuild 1149
diff --git a/sci-mathematics/wxmaxima/files/digest-wxmaxima-0.6.5 b/sci-mathematics/wxmaxima/files/digest-wxmaxima-0.6.5
new file mode 100644
index 000000000..d113ff56d
--- /dev/null
+++ b/sci-mathematics/wxmaxima/files/digest-wxmaxima-0.6.5
@@ -0,0 +1 @@
+MD5 7190a0a2154e3305ea15edf408bb558f wxMaxima-0.6.5.tar.gz 1108732
diff --git a/sci-mathematics/wxmaxima/files/wxmaxima-0.6.5-docfiles.patch b/sci-mathematics/wxmaxima/files/wxmaxima-0.6.5-docfiles.patch
new file mode 100644
index 000000000..69993cf67
--- /dev/null
+++ b/sci-mathematics/wxmaxima/files/wxmaxima-0.6.5-docfiles.patch
@@ -0,0 +1,34 @@
+diff -Naur wxMaxima-0.6.5/data/Makefile.am wxMaxima-0.6.5.new/data/Makefile.am
+--- wxMaxima-0.6.5/data/Makefile.am 2006-01-30 22:52:16.000000000 +0000
++++ wxMaxima-0.6.5.new/data/Makefile.am 2006-05-11 16:12:58.000000000 +0100
+@@ -1,4 +1,4 @@
+ wxmaximadatadir = ${datadir}/wxMaxima
+-wxmaximadata_DATA = docs.zip intro.zip tips.txt wxmathml.lisp
++wxmaximadata_DATA = tips.txt wxmathml.lisp
+
+-EXTRA_DIST = docs.zip intro.zip tips.txt wxmathml.lisp Info.plist.in PkgInfo
++EXTRA_DIST = tips.txt wxmathml.lisp
+diff -Naur wxMaxima-0.6.5/Makefile.am wxMaxima-0.6.5.new/Makefile.am
+--- wxMaxima-0.6.5/Makefile.am 2006-03-25 04:09:42.000000000 +0000
++++ wxMaxima-0.6.5.new/Makefile.am 2006-05-11 16:11:45.000000000 +0100
+@@ -12,7 +12,7 @@
+ art/maximaicon.xpm art/maximaicon.ico \
+ art/wxmac.icns
+
+-docdir = ${datadir}/wxMaxima
++docdir = ${datadir}/doc/#PF#
+ doc_DATA = README COPYING
+
+ wxMaxima.app: all
+diff -Naur wxMaxima-0.6.5/src/wxMaxima.cpp wxMaxima-0.6.5.new/src/wxMaxima.cpp
+--- wxMaxima-0.6.5/src/wxMaxima.cpp 2006-04-07 23:49:41.000000000 +0100
++++ wxMaxima-0.6.5.new/src/wxMaxima.cpp 2006-05-11 16:14:27.000000000 +0100
+@@ -2143,7 +2143,7 @@
+ filename = wxT(MACPREFIX);
+ #else
+ filename = wxT(PREFIX);
+- filename += wxT("/share/wxMaxima/");
++ filename += wxT("/share/doc/#PF#/");
+ if (!wxFileExists(filename + wxT("docs.zip")))
+ {
+ filename = wxT(PREFIX);
diff --git a/sci-mathematics/wxmaxima/wxmaxima-0.6.5.ebuild b/sci-mathematics/wxmaxima/wxmaxima-0.6.5.ebuild
new file mode 100644
index 000000000..55cc16210
--- /dev/null
+++ b/sci-mathematics/wxmaxima/wxmaxima-0.6.5.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils autotools
+
+MYP=wxMaxima-${PV}
+
+DESCRIPTION="A Graphical frontend to Maxima, using the wxWidgets toolkit."
+HOMEPAGE="http://wxmaxima.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${MYP}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="static doc"
+
+DEPEND=">=dev-libs/libxml2-2.5.0
+ >=x11-libs/wxGTK-2.6"
+RDEPEND=">=sci-mathematics/maxima-5.9.1"
+
+S=${WORKDIR}/${MYP}
+
+src_unpack () {
+ unpack ${A}
+
+ sed 's|#PF#|'${PF}'|g' \
+ ${FILESDIR}/${PF}-docfiles.patch > ${PF}-docfiles.patch
+
+ epatch ${PF}-docfiles.patch
+
+ cd ${S}
+ einfo "Regenerating autotools files..."
+ eautomake || die "eautomake failed"
+}
+
+
+src_compile () {
+ econf $(use_enable static static-wx) || die "econf failed"
+ emake || die "emake failed"
+}
+
+src_install () {
+ make DESTDIR=${D} install || die "make install failed"
+ insinto /usr/share/pixmaps/
+ doins maxima-new.png
+ make_desktop_entry wxmaxima wxMaxima maxima-new
+
+ cd ${S}/data
+
+ if use doc; then
+ insinto "/usr/share/doc/${PF}"
+ doins docs.zip intro.zip
+ fi
+}